summaryrefslogtreecommitdiffstats
path: root/packaging/macosx/ScriptExec
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/macosx/ScriptExec')
-rwxr-xr-xpackaging/macosx/ScriptExec/launcher-quartz-no-macintegration.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/packaging/macosx/ScriptExec/launcher-quartz-no-macintegration.sh b/packaging/macosx/ScriptExec/launcher-quartz-no-macintegration.sh
index 05ffbe5c8..9cf08ed49 100755
--- a/packaging/macosx/ScriptExec/launcher-quartz-no-macintegration.sh
+++ b/packaging/macosx/ScriptExec/launcher-quartz-no-macintegration.sh
@@ -15,7 +15,8 @@ get_env_current ()
[ -n "$INK_DEBUG_LAUNCHER" ] && set -x
-CWD="$(cd "$(dirname "$0")" && pwd)"
+CMD="$(readlink $0 || echo $0)"
+CWD="$(cd "$(dirname "$CMD")" && pwd -P)"
# e.g. /Applications/Inkscape.app/Contents/MacOS
TOP="$(dirname "$CWD")/Resources"
# e.g. /Applications/Inkscape.app/Contents/Resources